:root {
	--cg-color-bg: var(--wp--preset--color--white);
	--cg-color-text: var(--wp--preset--color--text);
	--swiper-pagination-bullet-width: 11px;
	--swiper-pagination-bullet-height: 11px;
}

:root[data-theme="dark"] {
	--cg-color-bg: #1B1B1B;
	--cg-color-text: #fff;
}

header .custom-logo path,
footer .wp-block-safe-svg-svg-icon path {
	fill: var(--cg-color-text);
}

footer .wp-block-safe-svg-svg-icon {
	max-width: 100%;
	width: 100%;
}

[data-theme="dark"] .wp-block-button__link {
	border-color: var(--cg-color-text);
	background-color: var(--cg-color-bg);
}

[data-theme="dark"] a:where(:not(.wp-element-button)) {
	color: var(--cg-color-text);
}

/*
Reset
*/
* {
	box-sizing: border-box;
}

ul,
ol {
	margin-left: 0;
	padding-left: 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
	margin-block-start: 0;
	margin-block-end: 0;
}

img {
	max-width: 100%;
	height: auto;
	vertical-align: top;
}

body {
	background: var(--cg-color-bg);
	color: var(--cg-color-text);
}

button {
	color: inherit;
}

/*
Loading
*/

.wp-block-site-loading {
	position: fixed;
	z-index: 360;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	height: 100vh;
	height: 100dvh;
	display: flex;
	justify-content: center;
	align-items: center;
	background-color: var(--wp--preset--color--surface);
}

.wp-block-site-loading.is-hidden {
	opacity: 0;
	z-index: -1;
}

.wp-block-site-loading .wp-block-main {
	width: 28%;
}

.wp-block-site-loading .wp-block-footer {
	position: absolute;
	bottom: 100px;
	left: 0;
	right: 0;
	text-align: center;
	text-transform: uppercase;
	font-size: 12px;
	line-height: 1em;
}

@media all and (max-width: 699px) {
	.wp-block-site-loading .wp-block-main {
		width: 70%;
	}

	.wp-block-site-loading .wp-block-footer {
		bottom: 50px;
	}
}

/*
Navigation
*/

.wp-block-navigation__container {
	text-transform: uppercase;
	gap: 30px;
}

.wp-block-navigation__container .wp-block-navigation-item__label {
	position: relative;
	padding-bottom: 8px;
	padding-left: 6px;
	padding-right: 6px;
}

.wp-block-navigation__container .wp-block-navigation-item__label:before {
	content: '';
	position: absolute;
	bottom: 0;
	left: 0;
	right: 0;
	transition: all .25s ease-in-out;
	transform: scaleX(0);
	height: 1px;
	background-color: var(--cg-color-text);
}

.wp-block-navigation__container a:hover .wp-block-navigation-item__label:before,
.current-menu-item .wp-block-navigation-item__label:before {
	transform: scaleX(100%);
}

/*
Mobile Navigation
*/

@media all and (max-width: 1199px) {

	.wp-block-navigation__responsive-close {
		background-color: var(--cg-color-bg);
	}

	.wp-block-navigation__responsive-container-open.wp-block-navigation__responsive-container-open.wp-block-navigation__responsive-container-open,
	.wp-block-navigation__responsive-container-close.wp-block-navigation__responsive-container-close.wp-block-navigation__responsive-container-close,
	.wp-block-navigation-overlay-close {
		font-family: var(--wp--preset--font-family--wulkan-display);
		font-size: 30px;
		line-height: 1em;
	}

	.wp-block-navigation__responsive-container.is-menu-open:not(.disable-default-overlay) {
		padding: var(--wp--preset--spacing--40);
	}

	.wp-block-navigation__responsive-container .wp-block-navigation {
		justify-content: flex-end;
	}

	.wp-block-navigation__responsive-container .wp-block-navigation__container {
		width: 100%;
		justify-content: flex-end;
	}

	.wp-block-navigation__responsive-container.is-menu-open:where(:not(.disable-default-overlay)) .wp-block-navigation__responsive-container-content .wp-block-navigation-item,
	.wp-block-navigation__responsive-container.is-menu-open:where(:not(.disable-default-overlay)) .wp-block-navigation__responsive-container-content .wp-block-navigation__container,
	.wp-block-navigation__responsive-container.is-menu-open:where(:not(.disable-default-overlay)) .wp-block-navigation__responsive-container-content .wp-block-page-list {
		width: 100%;
	}

	.wp-block-navigation .wp-block-navigation-item__content.wp-block-navigation-item__content {
		display: block;
		width: 100%;
		color: var(--cg-color-text);
	}

	.wp-block-navigation__responsive-container .wp-block-navigation__container {
		text-transform: none;
		font-family: var(--wp--preset--font-family--wulkan-display);
		font-size: 50px;
		line-height: 1.3em;
		gap: 0;
		text-align: right;
	}

	.wp-block-navigation__responsive-container.is-menu-open:where(:not(.disable-default-overlay)) .wp-block-navigation__responsive-container-content,
	.wp-block-navigation__responsive-container.is-menu-open:where(:not(.disable-default-overlay)) .wp-block-navigation__responsive-container-content .wp-block-navigation__container,
	.wp-block-navigation__responsive-container.is-menu-open:where(:not(.disable-default-overlay)) .wp-block-navigation__responsive-container-content .wp-block-page-list {
		align-items: flex-end;
	}

	.wp-block-navigation .is-contact-details {
		margin-top: 70px;
	}

}

/*
Overlay
*/

/*
 * Keep the Navigation block in overlay/mobile mode
 * until the viewport reaches 1200px.
 */
@media (min-width: 600px) and (max-width: 1199px) {

	/* Show the menu-open button again. */
	.wp-block-navigation__responsive-container-open:not(.always-shown) {
		display: flex;
	}

	/* Hide the desktop navigation container. */
	.wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
		display: none;
	}

	/* Ensure the opened overlay still displays. */
	.wp-block-navigation__responsive-container.is-menu-open {
		display: flex;
	}
}

/*
Dark
*/

.wp-block-navigation:not(.has-background) .wp-block-navigation__responsive-container.is-menu-open:not(.disable-default-overlay) {
	background-color: var(--cg-color-bg);
}

.wp-block-navigation__responsive-container-close,
.wp-block-navigation__responsive-container-open {
	color: var(--cg-color-text);
}

/*
Buttons
*/

.wp-block-button__link {
	transition: all .25s ease-in-out;
}

/*
Home
*/

.home .wp-block-site-logo {
	opacity: 0;
}

@media all and (min-width: 1200px) {

	.home header .wp-block-navigation__container {
		opacity: 0;
		pointer-events: none;
	}
}


/* 
Full Height page
*/

body:has(.wp-block-moving-images) {
	height: 100vh;
	height: 100dvh;
	overflow: hidden;

	footer.wp-block-template-part {
		position: fixed;
		bottom: 0;
		left: 0;
		right: 0;
	}
}

/*
Header 
*/

header.wp-block-template-part {
	position: fixed;
	z-index: 240;
	top: 0;
	left: 0;
	right: 0;
	padding-top: var(--wp--preset--spacing--20);
}

@media all and (min-width: 1200px) {
	header.wp-block-template-part {
		padding-top: 28px;
	}
}

@media all and (max-width: 1199px) {
	header .wp-block-site-logo {
		width: 32px;
	}
	header .wp-block-site-logo svg {
		width: 100%;
		height: auto;
	}
}

/*
Header - Sticky
*/

.is-not-home header.wp-block-template-part {
	transition: opacity .25s ease-in-out;
}

.is-not-home header.wp-block-template-part.is-hidden {
	opacity: 0;
}

/*
Main Content
*/
main {
	padding-left: var(--wp--preset--spacing--40);
	padding-right: var(--wp--preset--spacing--40);
}

body:where(.wp-site-blocks)>* {
	margin-block-start: auto;
}

/* 
Footer 
*/

@media all and (min-width: 1200px) {
	.wp-block-footer-copyright {
		position: relative;
		transform: translateY(-100%);
	}
}

footer.wp-block-template-part .safe-svg-inside {
	width: 100% !important;
	height: auto !important;
}

@media screen and (max-width: 1199px) {

	footer .wp-block-navigation,
	footer .wp-block-footer-copyright {
		display: none;
	}

	footer.wp-block-template-part {
		padding-bottom: var(--wp--preset--spacing--40);
	}
}

/* 
Alignment
*/
/* .wp-block-post-content > * {
	padding-left: var(--wp--preset--spacing--40);
	padding-right: var(--wp--preset--spacing--40);
} */

/*
Nav
*/
.nav {
	list-style: none;
}

.nav--slash {
	display: flex;
}

.nav--slash li+li:before {
	content: '/';
	padding-left: var(--wp--preset--spacing--5);
	padding-right: var(--wp--preset--spacing--5);
}

.nav--slash a {
	text-decoration: none;
}

[data-theme="dark"] .nav--slash a {
	color: var(--cg-color-text);
}

/*
Work
*/

main:has(.wp-block-query-cg_work) {
	margin-block-start: var(--wp--preset--spacing--90);
}

.wp-block-query-cg_work .is-layout-grid {
	list-style: none;
	margin: 0;
	padding: 0;
	display: grid;
	grid-template-columns: repeat(12, 1fr);
	column-gap: 24px;
	row-gap: 24px;
}

@media all and (min-width: 768px) {

	.wp-block-query-cg_work .is-layout-grid {
		row-gap: 40px;
	}

	.wp-block-query-cg_work .is-layout-grid>li {
		grid-column: span 5;
	}

	.wp-block-query-cg_work .is-layout-grid .grid-item-01 {
		grid-column: 1 / span 5;
	}

	.wp-block-query-cg_work .is-layout-grid .grid-item-04 {
		grid-column: 8 / span 5;
	}

	.wp-block-query-cg_work .is-layout-grid .grid-item-02 {
		grid-column: 6 / span 7;
	}

	.wp-block-query-cg_work .is-layout-grid .grid-item-03 {
		grid-column: 1 / span 7;
	}
}

@media all and (min-width: 1200px) {
	.wp-block-query-cg_work .is-layout-grid {
		row-gap: 80px;
		column-gap: 80px;
	}
}


/*
Swiper
*/

.swiper .swiper-pagination {
	text-align: left;
	display: flex;
	gap: 8px;
}

.swiper-horizontal>.swiper-pagination-bullets .swiper-pagination-bullet,
.swiper-pagination-horizontal.swiper-pagination-bullets .swiper-pagination-bullet {
	margin: 0;
}

.swiper-pagination-bullet {
	background: transparent;
	border: 1px solid var(--wp--preset--color--border);
	opacity: 1;
}

.swiper-pagination-bullet.swiper-pagination-bullet-active {
	background: var(--wp--preset--color--accent);
	border-color: var(--wp--preset--color--accent);
}

/* WYSIWYG */

.wysiwyg p {
	margin-block-start: 0;
	margin-block-end: 1.4em;
}

/*
	Media + Text
*/

.wp-block-media-text>.wp-block-media-text__content {
	padding: 0;
}

@media screen and (max-width: 1199px) {
	.wp-block-media-text.is-stacked-on-mobile {
		grid-template-columns: 100%;
	}
	.wp-block-media-text.is-stacked-on-mobile>.wp-block-media-text__media {
        grid-column: 1;
        grid-row: 2;
    }
}

@media screen and (min-width: 1200px) {

	.wp-block-media-text.has-media-on-the-right,
	.wp-block-media-text.has-media-on-the-left {
		grid-template-columns: repeat(12, 1fr);
		gap: 56px;
	}

	.wp-block-media-text.has-media-on-the-right .wp-block-media-text__content {
		grid-column: 1 / span 5;
		padding-left: 0;
		padding-right: 56px;
	}

	.wp-block-media-text.has-media-on-the-right .wp-block-media-text__media {
		grid-column: 6 / span 7;
	}

	.wp-block-media-text.has-media-on-the-left .wp-block-media-text__content {
		grid-column: 7 / span 5;
		padding-right: 0;
		padding-left: 56px;
	}

	.wp-block-media-text.has-media-on-the-left .wp-block-media-text__media {
		grid-column: 1 / span 7;
	}
}

.wp-block-media-text .wp-block-heading {
	margin-block-end: var(--wp--preset--spacing--40);
}

@media (max-width: 600px) {
	.wp-block-media-text.is-stacked-on-mobile {
		gap: var(--wp--preset--spacing--40);
	}

	.wp-block-media-text.is-stacked-on-mobile>.wp-block-media-text__media {
		grid-column: 1;
		grid-row: 2;
	}

	.wp-block-media-text.is-stacked-on-mobile>.wp-block-media-text__content {
		grid-column: 1;
		grid-row: 1;
	}
}

/*
Custom Grid
*/

.wp-block-group.is-layout-grid {
	gap: var(--wp--preset--spacing--60);
}

.grid--custom.is-layout-grid {
	grid-template-columns: repeat(12, 1fr);
	gap: 56px;
}

.grid--custom.is-layout-grid>.wp-block-group:first-child {
	grid-column: 1 / span 5;
}

.grid--custom.is-layout-grid>.wp-block-group:last-child {
	grid-column: 6 / span 7;
}

.grid--custom .subgrid {
	width: 100%;
}

.grid--custom .subgrid .wp-block-heading {
	flex-basis: 33.333%;
	flex-shrink: 0;
}

@media all and (max-width: 1199px) {
	.grid--custom.is-layout-grid {
		gap: 24px;
	}
	.grid--custom .is-layout-flex {
		gap: 24px;
	}
	.grid--custom .subgrid {
		flex-direction: column;
		gap: 12px;
	}

	.grid--custom .subgrid .wp-block-heading {
		flex-basis: auto;
		flex-shrink: 0;
	}
}

/* 
Grid Block
*/

@media all and (max-width: 1199px) {
	.wp-block-group.is-stacked-on-mobile {
		display: flex;
		flex-direction: column;
		gap: var(--wp--preset--spacing--40);
	}
}

/*
Subheading
*/

.wp-block-heading.is-style-subheading {
	font-size: var(--wp--preset--font-size--small);
	font-family: var(--wp--preset--font-family--body);
	font-weight: 500;
	text-transform: uppercase;
}

/* 
Image 
*/

.wp-block-image img {
	width: 100%;
}

/* 
Responsive 
*/

@media screen and (min-width: 1200px) {
	.is-hidden-desktop {
		display: none;
	}
}